package	jp.co.sds_corp.transfer;

import java.util.EventObject;

/**
* デーモンの状態が変更されたことを示すイベントです。
*/
public class StatusChangeEvent extends EventObject
{
	private static final long serialVersionUID = 1L;
	/** 状態:初期状態 */
	public static final int STAT_INIT = 0;
	/** 状態:稼動中 */
	public static final int STAT_RUN = 1;
	/** 状態:エラー */
	public static final int STAT_ERR = -1;

	private int	nOldStatus = 0;
	private int nNewStatus = 0;
	private String message;

	/**
	* StatusChangeEventを生成します。
	* @param	source		イベントの発生元
	* @param	nOldStatus	変更前のStatus
	* @param	nNewStatus	変更後のStatus
	* @param	message		メッセージ
	*/
	public StatusChangeEvent( Object source, int nOldStatus, int nNewStatus,
							String message )
	{
		super( source );
		this.nOldStatus = nOldStatus;
		this.nNewStatus = nNewStatus;
		this.message = message;
	}

	/**
	* 変更前のStatusを返します。
	* @return	変更前のStatus
	*/
	public int getOldStatus() {
		return nOldStatus;
	}
	/**
	* 変更後のStatusを返します。
	* @return	変更後のStatus
	*/
	public int getNewStatus() {
		return nNewStatus;
	}
	/**
	* メッセージを返します。
	* @return	メッセージ
	*/
	public String getMessage() {
		return message;
	}
}
